package com.gx.obe.management.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.EvaluationFactorsManagerComposite;

/**
 * @Description: 
 * @author guoyr
 */
public class LoadEvaluationStepAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		EvaluationFactorsManagerComposite composite = new EvaluationFactorsManagerComposite(listener.getParentComposite(), this, SWT.NONE);
		listener.loadComposite(this, composite);
	}
}
